#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	Library functionality for FIDO 2.0, including communication with a device over USB
Summary(pl.UTF-8):	Biblioteka funkcji dla FIDO 2.0, wraz z komunikacją z urządzeniem po USB
Name:		libfido2
Version:	1.14.0
Release:	2%{?tld}
License:	BSD
Group:		Libraries
#Source0Download: https://github.com/Yubico/libfido2/tags
Source0:	https://github.com/Yubico/libfido2/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	6aa04c6e9d029e595397fe026a3a03ce
URL:		https://developers.yubico.com/libfido2/
BuildRequires:	cmake >= 3.7
BuildRequires:	hidapi-devel
BuildRequires:	libcbor-devel
BuildRequires:	openssl-devel >= 1.1.0
BuildRequires:	pcsc-lite-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.742
BuildRequires:	udev-devel
BuildRequires:	zlib-devel
Requires:	openssl >= 1.1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides library functionality for communicating with a
FIDO device over USB as well as verifying attestation and assertion
signatures.

%description -l pl.UTF-8
Ten pakiet zawiera bibliotekę funkcji do komunikacji z urządzeniami
FIDO po USB, a także weryfikowania podpisów poświadczeń i zapewnień.

%package devel
Summary:	Header files for FIDO2 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki FIDO2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	openssl-devel >= 1.1.0

%description devel
Header files for FIDO2 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki FIDO2.

%package static
Summary:	Static FIDO2 library
Summary(pl.UTF-8):	Biblioteka statyczna FIDO2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static FIDO2 library.

%description static -l pl.UTF-8
Biblioteka statyczna FIDO2.

%prep
%setup -q

%build
install -d build
cd build
# note: exects CMAKE_INSTALL_LIBDIR relative to prefix
%cmake .. \
	%{cmake_on_off static_libs BUILD_STATIC_LIBS} \
	-DBUILD_TESTS:BOOL=OFF \
	-DCMAKE_INSTALL_LIBDIR=%{_lib} \
	-DGZIP_PATH=FALSE \
	-DMANDOC_PATH=FALSE \
	-DUSE_HIDAPI=ON \
	-DUSE_PCSC:BOOL=ON \
	-DNFC_LINUX=ON

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE README.adoc
%attr(755,root,root) %{_bindir}/fido2-assert
%attr(755,root,root) %{_bindir}/fido2-cred
%attr(755,root,root) %{_bindir}/fido2-token
%attr(755,root,root) %{_libdir}/libfido2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfido2.so.1
%{_mandir}/man1/fido2-assert.1*
%{_mandir}/man1/fido2-cred.1*
%{_mandir}/man1/fido2-token.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfido2.so
%{_includedir}/fido
%{_includedir}/fido.h
%{_pkgconfigdir}/libfido2.pc
%{_mandir}/man3/*_pk_*.3*
%{_mandir}/man3/fido*.3*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libfido2.a
%endif
%changelog
* Tue Apr 02 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libfido2.git;a=log;h=master

* Sat Feb 10 2024 Jakub Bogusz <qboosh@pld-linux.org> 6724d08
- release 2 (libcbor 0.11)

* Mon Nov 13 2023 Jan Palus <atler@pld-linux.org> c589223
- add static_libs bcond

* Mon Nov 13 2023 Jan Palus <atler@pld-linux.org> 02a7a05
- up to 1.14.0

* Sat Apr 01 2023 Jakub Bogusz <qboosh@pld-linux.org> 8a79c09
- release 2 (libcbor 0.10.x)

* Wed Feb 22 2023 Jan Palus <atler@pld-linux.org> 35ac5d2
- up to 1.13.0

* Fri Sep 23 2022 Jakub Bogusz <qboosh@pld-linux.org> 5084ac1
- disable generating HTML from man pages, traditional format is enough

* Fri Sep 23 2022 Jan Palus <atler@pld-linux.org> 63201cf
- up to 1.12.0

* Sun Jun 12 2022 Jan Palus <atler@pld-linux.org> 81c34a7
- up to 1.11.0

* Sun Feb 06 2022 Jakub Bogusz <qboosh@pld-linux.org> f5c1525
- updated to 1.10.0

* Fri Oct 29 2021 Jan Palus <atler@pld-linux.org> 8d80063
- macros for %cmake

* Fri Oct 29 2021 Jan Palus <atler@pld-linux.org> afca0c5
- up to 1.9.0

* Wed Oct 06 2021 Jan Rękorajski <baggins@pld-linux.org> f56f4e9
- rel 3, disable warnnings to build using deprecated openssl api

* Mon Oct 04 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 1371dba
- Release 2 (by relup.sh)

* Mon Sep 28 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> c8d4b63
- up to 1.5.0

* Sat Apr 18 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> fcbcd7d
- up to 1.4.0

* Sun Mar 29 2020 Jakub Bogusz <qboosh@pld-linux.org> b364740
- release 3 (libcbor soname change)

* Sun Mar 29 2020 Elan Ruusamäe <glen@pld-linux.org> f8840c5
- Add todo about bad linking

* Sat Feb 29 2020 Jakub Bogusz <qboosh@pld-linux.org> f72e6dc
- package static library (built unconditionally now)
- updated dependencies (now it uses udev instead of hidapi)
- release 2

* Fri Feb 28 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> a3bee33
- up to 1.3.1

* Thu Feb 06 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> d74055f
- up to 1.3.0

